#ifndef Autodestroyable_h_INCLUDED
#define Autodestroyable_h_INCLUDED

class Autodestroyable
{
private:
    bool isDestroyed;
protected:
    void autoDestroy()
    {
        isDestroyed = true;
    }
public:
    Autodestroyable():isDestroyed(false) {}
    bool isAutodestroyed() {return isDestroyed;}
};

#endif //Autodestroyable_h_INCLUDED
